Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class FillListContents

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElementGroup
          net.sf.jasperreports.engine.fill.JRFillElementContainer
              net.sf.jasperreports.components.list.FillListContents

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable

    public class FillListContents

extends JRFillElementContainer

List contents fill element container.

Version:
  $Id: FillListContents.java 3138 2009-10-22 15:40:22Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer
`deepElements, evaluatedStyles, expressionEvaluator, filler, firstYElement, hasPrintWhenOverflowElement, isOverflow, stylesToEvaluate`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup
`children, elementGroup, elements`

Constructor Summary
`` | `FillListContents(FillListContents fillListContents, JRFillCloneFactory factory)`
`protected` | `FillListContents(ListContents listContents, JRFillObjectFactory factory)`

Method Summary
`FillListContents` | `createClone()`
`JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
`protected void` | `evaluateContents()`
`protected void` | `finalizeElementPositions()`
`protected int` | `getContainerHeight()` Returns the height of the element container.
`int` | `getHeight()`
`protected int` | `getStretchHeight()`
`protected void` | `prepare(int availableHeight)`
`protected void` | `rewind()`
`protected void` | `stretchTo(int height)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer
`addSubElements, buildConsolidatedStyle, collectConditionalStyle, evaluate, evaluateConditionalStyle, evaluateConditionalStyles, fillElements, getEvaluatedConditionalStyle, getFirstY, initConditionalStyles, initElements, initFill, moveBandBottomElements, prepareElements, removeBlankElements, resetElements, setElementOriginProvider, setStretchHeight, stretchElements, willOverflow`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup
`clone, clone, getChildren, getElementByKey, getElementGroup, getElements, getStretchHeightDiff, reset, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillListContents

    protected FillListContents(ListContents listContents,
                               JRFillObjectFactory factory)

### FillListContents

    public FillListContents(FillListContents fillListContents,
                            JRFillCloneFactory factory)

Method Detail

### getHeight

    public int getHeight()

### getContainerHeight

    protected int getContainerHeight()

  Description copied from class: `JRFillElementContainer`
  Returns the height of the element container.

  Specified by:
    `getContainerHeight` in class `JRFillElementContainer`
  Returns:
    the height of the element container

### evaluateContents

    protected void evaluateContents()
                             throws JRException

  Throws:
    `JRException`

### prepare

    protected void prepare(int availableHeight)
                    throws JRException

  Throws:
    `JRException`

### createClone

    public JRFillCloneable createClone(JRFillCloneFactory factory)

  Description copied from interface: `JRFillCloneable`
  Creates a working clone of itself.

  Specified by:
    `createClone` in interface `JRFillCloneable`
  Overrides:
    `createClone` in class `JRFillElementGroup`
  Parameters:
    `factory` - the clone factory to use while creating the clone
  Returns:
    a working clone of itself

### createClone

    public FillListContents createClone()

### getStretchHeight

    protected int getStretchHeight()

  Overrides:
    `getStretchHeight` in class `JRFillElementContainer`

### rewind

    protected void rewind()
                   throws JRException

  Overrides:
    `rewind` in class `JRFillElementContainer`
  Throws:
    `JRException`

### stretchTo

    protected void stretchTo(int height)

### finalizeElementPositions

    protected void finalizeElementPositions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com